body {
    background-color: rgb(195, 230, 227);
}

h1 {
    color: rgb(44, 6, 44);
    font-size: 42px;
}

h2 {
    font-size: 32px;
    margin-top: 50px;
}

h3 {
    font-size: 26px;
}

.download-button {
    display: inline-block;
    padding: 10px 18px;
    background-color: #5fa3a3;
    color: white;
    text-decoration: none;
    border-radius: 8px;
    font-weight: bold;
}

.charts-div{
    display: flex;
    gap: 20px;
}

@media (max-width: 1000px) {
    .charts-div {
        flex-direction: column;
        gap: 15px; 
    }
    .charts-div > * {
        width: 100% !important;
    }
}

.chart-card {
    flex: 1;
    background-color: #FFEBF9;
    padding: 20px;
    border-radius: 12px;
    box-sizing: border-box;
}

.chart-card h3 {
    margin-bottom: 15px;
}


.chart-box {
    height: 280px;
    position: relative;
}

.chart-box canvas {
    width: 100% !important;
    height: 100% !important;
}


.home-container {
    display: flex;
    align-items: flex-start;
    gap: 30px;
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
}

.home-container  > img {
    flex: 1;
    width: 45%;
    height: auto;
    object-fit: contain;
    border-radius: 10px;
}


@media (max-width: 1000px) {
    .home-container {
        flex-direction: column;
        align-items: center; 
    }
    .home-container  > img {
    width: 100%;
}

}

.text-box {
    flex: 1;
    background-color: #FFEBF9;
    padding: 25px;
    border-radius: 15px;
}




.text-box img {
    width: 100%;
    height: auto;
    margin-top: 15px;
    border-radius: 10px;
}

.sensor-container {
    max-width: 1400px;
    margin: auto;
    padding: 20px;
}


.ukas_fisk-container {
    display: flex;
    align-items: flex-start;
    gap: 30px;
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
}

.ukas_fisk-container  > img {
    flex: 1;
    width: 45%;
    height: auto;
    object-fit: contain;
    border-radius: 10px;
}

#detections-table {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin-top: 20px;
}

.detection-row {
    display: flex;
    gap: 15px;
    align-items: center;
    background-color: #FFEBF9;
    padding: 15px;
    border-radius: 12px;
}

.detection-img {
    width: 160px;
    height: 110px;
    object-fit: contain;
}
